Skip to main content
PATCH
/
api
/
v1
/
projects
/
{projectUuid}
/
spaces
/
{spaceUuid}
Error
A valid request URL is required to generate request examples
{
  "results": {
    "path": "<string>",
    "projectMemberAccessRole": "viewer",
    "inheritParentPermissions": true,
    "parentSpaceUuid": "<string>",
    "childSpaces": [
      {
        "name": "<string>",
        "projectUuid": "<string>",
        "organizationUuid": "<string>",
        "uuid": "<string>",
        "inheritParentPermissions": true,
        "projectMemberAccessRole": "viewer",
        "pinnedListUuid": "<string>",
        "pinnedListOrder": 123,
        "slug": "<string>",
        "parentSpaceUuid": "<string>",
        "path": "<string>",
        "appCount": 123,
        "childSpaceCount": 123,
        "dashboardCount": 123,
        "chartCount": 123,
        "deletedBy": {
          "lastName": "<string>",
          "firstName": "<string>",
          "userUuid": "<string>"
        },
        "deletedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "slug": "<string>",
    "pinnedListOrder": 123,
    "pinnedListUuid": "<string>",
    "groupsAccess": [
      {
        "spaceRole": "viewer",
        "groupName": "<string>",
        "groupUuid": "<string>"
      }
    ],
    "access": [
      {
        "hasDirectAccess": true,
        "role": "viewer",
        "userUuid": "<string>",
        "email": "<string>",
        "lastName": "<string>",
        "firstName": "<string>",
        "inheritedFrom": "organization",
        "inheritedRole": "member",
        "projectRole": "viewer"
      }
    ],
    "dashboards": [
      {
        "name": "<string>",
        "projectUuid": "<string>",
        "organizationUuid": "<string>",
        "uuid": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z",
        "spaceUuid": "<string>",
        "pinnedListUuid": "<string>",
        "pinnedListOrder": 123,
        "views": 123,
        "firstViewedAt": "<string>",
        "verification": {
          "verifiedAt": "2023-11-07T05:31:56Z",
          "verifiedBy": {
            "lastName": "<string>",
            "firstName": "<string>",
            "userUuid": "<string>"
          }
        },
        "description": "<string>",
        "updatedByUser": {
          "userUuid": "<string>",
          "firstName": "<string>",
          "lastName": "<string>"
        },
        "validationErrors": [
          {
            "createdAt": "2023-11-07T05:31:56Z",
            "error": "<string>",
            "validationId": 123
          }
        ]
      }
    ],
    "projectUuid": "<string>",
    "queries": [
      {
        "name": "<string>",
        "projectUuid": "<string>",
        "organizationUuid": "<string>",
        "uuid": "<string>",
        "spaceUuid": "<string>",
        "dashboardUuid": "<string>",
        "pinnedListUuid": "<string>",
        "slug": "<string>",
        "spaceName": "<string>",
        "dashboardName": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z",
        "pinnedListOrder": 123,
        "firstViewedAt": "2023-11-07T05:31:56Z",
        "views": 123,
        "verification": {
          "verifiedAt": "2023-11-07T05:31:56Z",
          "verifiedBy": {
            "lastName": "<string>",
            "firstName": "<string>",
            "userUuid": "<string>"
          }
        },
        "description": "<string>",
        "source": "dbt_explore",
        "chartKind": "line",
        "chartType": "cartesian",
        "updatedByUser": {
          "userUuid": "<string>",
          "firstName": "<string>",
          "lastName": "<string>"
        },
        "validationErrors": [
          {
            "createdAt": "2023-11-07T05:31:56Z",
            "error": "<string>",
            "validationId": 123
          }
        ]
      }
    ],
    "inheritsFromOrgOrProject": true,
    "name": "<string>",
    "uuid": "<string>",
    "organizationUuid": "<string>",
    "breadcrumbs": [
      {
        "hasAccess": true,
        "uuid": "<string>",
        "name": "<string>"
      }
    ]
  },
  "status": "ok"
}

Documentation Index

Fetch the complete documentation index at: https://lightdash-docs-okta-cloud-sso-setup.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectUuid
string
required

The uuid of the space's parent project

spaceUuid
string
required

The uuid of the space to update

Body

application/json
name
string
required
projectMemberAccessRole
enum<string>

When set, all project members get this role on the space

Available options:
viewer,
editor,
admin
inheritParentPermissions
boolean

Response

Updated

results
object
required
status
enum<string>
required
Available options:
ok